gstreamermm: Gst::PropertyProbe Class Reference

# Gst::PropertyProbe Class Reference
[gstreamermm Interfaces]

Gst::PropertyProbe - Interface for probing possible property values. More...

`#include <propertyprobe.h>`

Inheritance diagram for Gst::PropertyProbe:

List of all members.

## Public Member Functions
virtual | ~PropertyProbe ()
GstPropertyProbe* | gobj ()
| Provides access to the underlying C GObject.
const GstPropertyProbe* | gobj () const
| Provides access to the underlying C GObject.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::PropertyProbe> | wrap (GstPropertyProbe* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::PropertyProbe - Interface for probing possible property values.

The property probe is a way to autodetect allowed values for a GObject property. Its primary use is to autodetect device-names in several elements.

The interface is implemented by many hardware sources and sinks.

## Constructor & Destructor Documentation

virtual Gst::PropertyProbe::~PropertyProbe | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::PropertyProbe::add_interface | ( | GType | gtype_implementer | ) | `[static]`

GstPropertyProbe* Gst::PropertyProbe::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented in Gst::AlsaMixer, Gst::AlsaSink, Gst::AlsaSrc, and Gst::XvImageSink.

const GstPropertyProbe* Gst::PropertyProbe::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented in Gst::AlsaMixer, Gst::AlsaSink, Gst::AlsaSrc, and Gst::XvImageSink.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::PropertyProbe> wrap | ( | GstPropertyProbe * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- propertyprobe.h